Status: Closed

Priority: Normal

Assignee: Radim Blazek

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16849

Description

Under QGIS master, the i.fusion.brovey grass function is broken, in two ways:

1. It shows the output raster prefix (-outputprefix) as an optional checkbox, when it is a required flag for this function

2. If the option is checked, the -outputprefix has no string, leading to a number of "Sorry,  is not a valid flag" errors  before terminating.

It seems that the output raster prefix should a) not be optional, and b) be presented as a text box instead of a check box for users to enter

a string prefix.

Discovered this when playing around with the new LANDSAT-8 imagery and trying to do pan-sharpening. It'd be a nice homage to USGS

and its new amazing satellite to fix this ;)

Not tested on QGIS 1.8, not sure whether it's a regression or whether i.fusion.brovey never worked through QGIS' grass plugin.

Associated revisions

Revision 46ed98a7 - 2016-02-03 02:59 PM - Radim Blazek

[GRASS] fixed i.fusion.brovey output option, fixes #7999

History

#1 - 2013-06-04 07:09 PM - Nathan Woodrow

The GRASS plugin is no longer maintained.  Might be best to try thought Sextante.

#2 - 2013-06-04 07:13 PM - Mathieu Pellerin - nIRV

Nathan, I wrote to Victor about i.fusion.brovey missing in Sextante. It's a function that's harder to implement than the average GRASS raster function, and

his to-do list is too busy to get this by 2.0. This is my plan B ;)

I thought that, with recent commits by Radim to fix the grass plugin, it'd still be supported in 2.0. Oh well, nevertheless, if this can quickly be fixed, that'd be

appreciated and open the door for pan sharpening within QGIS (currently not possible through any other QGIS tools)

#3 - 2013-06-05 12:49 AM - Radim Blazek

Nathan Woodrow wrote:

The GRASS plugin is no longer maintained.  Might be best to try thought Sextante.
I have fixed all GRASS blockers. The GRASS plugin and QGIS is also used by regular GRASS users who keep data in GRASS dataset for who the

Sextante is not suitable. Until we decide to completely remove the GRASS plugin we have to maintain it.

#4 - 2015-02-14 12:34 PM - Markus Neteler

FWIW: In GRASS GIS 7, i.fusion.brovey has been retired and replaced by the more powerful i.pansharpen (

http://grass.osgeo.org/grass70/manuals/i.pansharpen.html).

All these updates are documented here:

http://trac.osgeo.org/grass/wiki/Grass7/NewFeatures#Replacedandremovedmodules

http://trac.osgeo.org/grass/wiki/Grass7/NewFeatures#Optionschanges

#5 - 2016-02-03 06:00 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"46ed98a7ef41f861b4cd216e2dfd851f254979ee".

#6 - 2016-02-03 06:38 AM - Radim Blazek

The same as #4617.
